Centos 7 login problem after updating mono to 5.14

  1. 2 months ago
    Edited 2 months ago by 4orum

    After updating mono to 5.14 token error then I try to login

  2. same here on Debian Stretch

  3. 8 weeks ago

    clonedeploy

    Aug 20 Administrator

    I'll need to test with the latest version of Mono to see what has changed and I'll get back to you.

  4. oh maybe thats the reason?!

    just now fresh install on ubuntu server 16.4.5
    i get a "Unknown Error With Token API"

    Mono JIT compiler version 5.14.0.177 (tarball Mon Aug  6 09:13:43 UTC 2018)
    Copyright (C) 2002-2014 Novell, Inc, Xamarin Inc and Contributors. www.mono-project.com
            TLS:           __thread
            SIGSEGV:       altstack
            Notifications: epoll
            Architecture:  amd64
            Disabled:      none
            Misc:          softdebug 
            Interpreter:   yes
            LLVM:          yes(3.6.0svn-mono-/)
            GC:            sgen (concurrent by default)
  5. Edited 8 weeks ago by Tobias Hoffmann

    tried also to upgrade to recent 1.3.5 but same same

    maybe that log line?

    2018-08-20 14:28:53,948 [Thread Pool Worker] ERROR CloneDeploy_ApiCalls.TokenApi Error With Token API: System.Xml.XmlException: Name cannot begin with the ' ' character, hexadecimal value 0x20. Line 37, position 53.
  6. Edited 8 weeks ago by hrumph2

    Same problem on Fedora 27. I assume that this has something to do with the mono upgrade too.

  7. clonedeploy

    Aug 21 Administrator

    It appears that something with Mono 5.14 is not compatible with Entity Framework which is causing the problem. It is most likely a bug with Mono 5.14. The only solution at this point is roll back to an older version of Mono. 5.12.0.301 is the last working version with CloneDeploy.

    Here is a github issue tracker with other people reporting the same issue.
    https://github.com/mono/mono/issues/9996

  8. Edited 8 weeks ago by Tobias Hoffmann

    Thanks for your quick answer.
    yes got it working - for ubuntu 16.4.5

    for ubuntu server changed mono repo (in file /etc/apt/sources.list.d/mono-official.list);

    deb http://download.mono-project.com/repo/ubuntu/ xenial/snapshots/5.12 main

    upgraded to cd 1.3.5 without any problem.

  9. Same issue here, also fixed it by using 5.12

 

or Sign Up to reply!